@import url('https://fonts.googleapis.com/css2?family=Saira+Extra+Condensed:wght@100;200;300;400;500;600;700;800;900&display=swap');
:root {
  --white-color: #fff;
  --black-color: #171010;
}


* { margin: 0px; padding: 0px; box-sizing: border-box; }
html,body { overflow-x: hidden; }
body {font-family: 'Saira Extra Condensed', sans-serif; color: var(--white-color);}
h1 { font-size: max(11.299vw, 108px); line-height: 1.2; text-transform: uppercase; font-weight: 600; letter-spacing: 2px; }
h6 { font-size: max(1.2vw, 16px); line-height: 1.3; }
.img-fluid { max-width: 100%; height: auto; display: block; }
ul, ol { list-style: none; display: block; }
li  { display: block; }
.scroll-hide { overflow: hidden; }

/*loader style*/
.loader { position: fixed; top: 0; left: 0; width: 100vw; height: 100%; z-index: 9999; }
.revealer, .loader-text-wrapper, .progress-wrapper { position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: var(--black-color); }
.progress-wrapper, .revealer { background: var(--white-color); }

.progress-line-wrapper { position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%) rotate(-45deg); width: 150px; height: 8px; border-radius: 50px; background: #e5e5e5; overflow: hidden; }
.progress-line { background: #000;  width: 0%; height: 100%; display: block; }

.loader-text { position: absolute; top: 50%; left: 50%; transform: translate(-50% , -50%); }
.loader-text h3 {  color: var(--white-color); text-transform: uppercase; font-size: 60px; line-height: 1.4; letter-spacing: 1.6px; }

.revealer { z-index: 1; top: 100%;}

.dark-theme .dark-arrow, .dark-theme.light-theme .light-arrow { display: none; }
.dark-theme.light-theme .dark-arrow { display: block; }


/*header css*/
header { position: fixed; top: 0; left: 0; width: 100%; z-index: 999; padding: 10px 30px; mix-blend-mode: difference; }
.header-inner  {  display: flex; display: -webkit-flex; justify-content: space-between; align-items: center;  }
.header-inner .logo { font-size: max(2.5vw, 30px); font-weight: 600; letter-spacing: 1px; text-decoration: none; text-transform: uppercase; color: var(--white-color); }
.header-inner .nav-links { display: flex; display: -webkit-flex; gap: 25px; }
.header-inner .nav-links li a {  height: max(1vw, 25px); overflow: hidden; display: block; font-size: max(0.9vw, 16px); font-weight: 500; letter-spacing: 2px; text-decoration: none; text-transform: uppercase; color: var(--white-color); }
.header-inner .nav-links li a .char {  position: relative; transition: transform 0.35s ease; }
.header-inner .nav-links li a:hover .char { transform: translateY(-25px); }
.header-inner .nav-links li a .char::after { content: attr(data-letter); position: absolute; left: 0; top: 100%; }

.arrow { position: fixed; top: 0; left: 0;z-index: 99; width: 30px; height: auto; opacity: 0; mix-blend-mode: difference;  }

.img-slider, .second-img-slider, .third-img-slider { position: absolute;  top: 0%; left: 0%; width: 100%; height: 100%; display: flex; justify-content: center;  padding: 30px 0px; }
.img-slider ul, .second-img-slider ul, .third-img-slider ul { position: relative; height: max(410px, 30vw);  aspect-ratio: 0.7 / 1; margin: auto ; }
.img-slider li, .second-img-slider li , .third-img-slider li { position: absolute; top: 0; left: 0; width: 100%; height: 100%;  clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%); transition: all 0.5s; }
.img-slider img, .second-img-slider img, .third-img-slider img { width: 100%; height: calc(100% - 54px); object-fit: cover; object-position: center top; border-radius: 8px; }

.img-slider li.active img, .second-img-slider li.active img,  .third-img-slider li.active img { clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%); }
.img-slider li img, .second-img-slider li img, .third-img-slider li img { clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%); transition: all 0.5s;  }

.img-slider li .img-details, .second-img-slider li .img-details, .third-img-slider li .img-details { opacity: 0; }
.img-slider li.show_class .img-details { opacity: 1; }
.img-slider li:nth-child(even) .img-details h6 , .img-slider li:nth-child(even) .img-details span,
.second-img-slider li:nth-child(even) .img-details h6 , .second-img-slider li:nth-child(even) .img-details span,
.third-img-slider li:nth-child(even) .img-details h6 , .third-img-slider li:nth-child(even) .img-details span { color: var(--black-color); }
.img-slider li .img-details, .second-img-slider li .img-details ,  .third-img-slider li .img-details { margin-top: 12px; }
.img-slider li .img-details h6, .second-img-slider li .img-details h6, .third-img-slider li .img-details h6 { margin-bottom: 2px; overflow: hidden; letter-spacing: 0.5px; }
.img-slider li .img-details span, .second-img-slider li .img-details span,  .third-img-slider li .img-details span { font-size: max(1.2vw, 16px); line-height: 1.3; display: block; overflow: hidden; }

.img-slider{ z-index: 1; }

.clip ul li img{  clip-path: polygon(0 0, 100% 0, 100% 0, 0 0) !important; }

/*content css*/
.content-slider { position: fixed; top: 0; left: 0; width: 100%; height: 100%; }
.content-slider ul { min-height: 100vh; width: 100%; position: relative; }
.content-slider li { position: absolute; top: 0; left: 0; width: 100%; height: 100%; display: flex; justify-content: center; align-items: center; }

.content-slider li.active { clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%); }
.content-slider li { clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%); transition: all 0.5s; background: var(--black-color); }
.content-slider li .t-stroke { -webkit-text-stroke: 1px var(--white-color); }


.content-slider li:nth-child(even) { background-color: var(--white-color); }
.content-slider li:nth-child(even) h1 { color: var(--black-color); }
.content-slider li:nth-child(even) .t-stroke { color: transparent;  -webkit-text-stroke: 1px var(--black-color);  }

.title-main {  width: 100%; display: flex; display: -webkit-flex; white-space: nowrap; animation: 10s linear infinite alternate; animation-name: marquee;}
.title-wrapper { position: relative; display: flex; gap: 30px; flex-shrink: 0; -webkit-flex-shrink: 0;  }
.t-stroke { color: var(--black-color);  -webkit-text-stroke: 1px var(--white-color); font-style: italic;  }

@keyframes marquee {
  0% { transform: translateX(0%);}
  100% { transform: translateX(-100%);}
  
}

@-webkit-keyframes marquee {
  0% { transform: translateX(0%);}
  100% { transform: translateX(-100%);}
  
}

@media (max-width: 1199px) {
  .img-slider ul, .second-img-slider ul, .third-img-slider ul { height: max(380px, 30vw); }

}

@media (max-width: 767px) {
  header { padding: 10px; }
  .header-inner .nav-links { gap: 10px;}
  .img-slider ul, .second-img-slider ul, .third-img-slider ul { height: max(300px, 30vw); aspect-ratio: 0.65 / 1; }

}




